---
- name: key add
  authorized_key:
    user: ubuntu
    state: present
    key: "{{ lookup('file', lookup('env','HOME') + '/.ssh/id_rsa.pub') }}"
    manage_dir: False

- name: user change
  user:
    name: "{{ username }}"
    password: "{{ password | password_hash('sha512') }}"
    state: present

